[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Kernel compliation errors



On Sun, May 06, 2007 at 01:22:14AM -0400, Kelly wrote:
> On Sunday, May 06, 2007 12:07 am Sean Stangl wrote:
> > On Sat, 2007-05-05 at 23:16 -0400, Kelly wrote:
> > > Kelly wrote:
> > > BTW, I noticed that I'm also getting these errors from ndiswrapper, most
> > > of the ALSA sound drivers, and just about every driver that doesn't come
> > > with the Fedora default setup.
> >
> > Have you verified that the modules are building against the sources for
> > the kernel that you're running, and not against something else (Check
> > the terminal output of make)? I'm betting that this isn't some error
> > within Fedora, namely since I've never heard of this issue previously,
> > but if it turns out that kernel-devel has been updated incorrectly for
> > your architecture, that would be good to check.
> >
> > -Sean Stangl
> 
> In this case, not only am I getting the errors from modules I built, but also 
> modules I've downloaded through ATRPMS and modules automated through DKMS.

How do these errors look like? Maybe i586 vs i686 mismatches? Please
post the exact output of the errors.

> When I first started getting the errors, I went and double-checked that the 
> version & arch numbers were the same, so that's not the problem.

The only case known to me when ATrpms' modules are involved is the
i586/i686 mismatch explained here:

http://fedoraproject.org/wiki/Bugs/FC6Common#head-e0676100ebd965b92fbaa7111097983a3822f143

-- 
Axel.Thimm at ATrpms.net

Attachment: pgpc4nQLbpcBM.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]